Create a wire bank account
curl --request POST \
--url https://api-sandbox.circle.com/v1/banks/wires \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"accountNumber": "12340010",
"routingNumber": "121000248",
"billingDetails": {
"name": "Satoshi Nakamoto",
"city": "Boston",
"country": "US",
"line1": "100 Money Street",
"postalCode": "01234",
"line2": "Suite 1",
"district": "MA"
},
"bankAddress": {
"country": "US",
"bankName": "SAN FRANCISCO",
"city": "SAN FRANCISCO",
"line1": "100 Money Street",
"line2": "Suite 1",
"district": "CA"
},
"riskSignals": {
"ipAddress": "203.0.113.42",
"sessionId": "8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c",
"deviceId": "2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f"
},
"clientEntityId": "a3f1b2c4-d5e6-7890-abcd-ef1234567890"
}
'import requests
url = "https://api-sandbox.circle.com/v1/banks/wires"
payload = {
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"accountNumber": "12340010",
"routingNumber": "121000248",
"billingDetails": {
"name": "Satoshi Nakamoto",
"city": "Boston",
"country": "US",
"line1": "100 Money Street",
"postalCode": "01234",
"line2": "Suite 1",
"district": "MA"
},
"bankAddress": {
"country": "US",
"bankName": "SAN FRANCISCO",
"city": "SAN FRANCISCO",
"line1": "100 Money Street",
"line2": "Suite 1",
"district": "CA"
},
"riskSignals": {
"ipAddress": "203.0.113.42",
"sessionId": "8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c",
"deviceId": "2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f"
},
"clientEntityId": "a3f1b2c4-d5e6-7890-abcd-ef1234567890"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
accountNumber: '12340010',
routingNumber: '121000248',
billingDetails: {
name: 'Satoshi Nakamoto',
city: 'Boston',
country: 'US',
line1: '100 Money Street',
postalCode: '01234',
line2: 'Suite 1',
district: 'MA'
},
bankAddress: {
country: 'US',
bankName: 'SAN FRANCISCO',
city: 'SAN FRANCISCO',
line1: '100 Money Street',
line2: 'Suite 1',
district: 'CA'
},
riskSignals: {
ipAddress: '203.0.113.42',
sessionId: '8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c',
deviceId: '2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f'
},
clientEntityId: 'a3f1b2c4-d5e6-7890-abcd-ef1234567890'
})
};
fetch('https://api-sandbox.circle.com/v1/banks/wires', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.circle.com/v1/banks/wires",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotencyKey' => 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
'accountNumber' => '12340010',
'routingNumber' => '121000248',
'billingDetails' => [
'name' => 'Satoshi Nakamoto',
'city' => 'Boston',
'country' => 'US',
'line1' => '100 Money Street',
'postalCode' => '01234',
'line2' => 'Suite 1',
'district' => 'MA'
],
'bankAddress' => [
'country' => 'US',
'bankName' => 'SAN FRANCISCO',
'city' => 'SAN FRANCISCO',
'line1' => '100 Money Street',
'line2' => 'Suite 1',
'district' => 'CA'
],
'riskSignals' => [
'ipAddress' => '203.0.113.42',
'sessionId' => '8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c',
'deviceId' => '2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f'
],
'clientEntityId' => 'a3f1b2c4-d5e6-7890-abcd-ef1234567890'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.circle.com/v1/banks/wires"
payload := strings.NewReader("{\n \"idempotencyKey\": \"ba943ff1-ca16-49b2-ba55-1057e70ca5c7\",\n \"accountNumber\": \"12340010\",\n \"routingNumber\": \"121000248\",\n \"billingDetails\": {\n \"name\": \"Satoshi Nakamoto\",\n \"city\": \"Boston\",\n \"country\": \"US\",\n \"line1\": \"100 Money Street\",\n \"postalCode\": \"01234\",\n \"line2\": \"Suite 1\",\n \"district\": \"MA\"\n },\n \"bankAddress\": {\n \"country\": \"US\",\n \"bankName\": \"SAN FRANCISCO\",\n \"city\": \"SAN FRANCISCO\",\n \"line1\": \"100 Money Street\",\n \"line2\": \"Suite 1\",\n \"district\": \"CA\"\n },\n \"riskSignals\": {\n \"ipAddress\": \"203.0.113.42\",\n \"sessionId\": \"8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c\",\n \"deviceId\": \"2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f\"\n },\n \"clientEntityId\": \"a3f1b2c4-d5e6-7890-abcd-ef1234567890\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.circle.com/v1/banks/wires")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotencyKey\": \"ba943ff1-ca16-49b2-ba55-1057e70ca5c7\",\n \"accountNumber\": \"12340010\",\n \"routingNumber\": \"121000248\",\n \"billingDetails\": {\n \"name\": \"Satoshi Nakamoto\",\n \"city\": \"Boston\",\n \"country\": \"US\",\n \"line1\": \"100 Money Street\",\n \"postalCode\": \"01234\",\n \"line2\": \"Suite 1\",\n \"district\": \"MA\"\n },\n \"bankAddress\": {\n \"country\": \"US\",\n \"bankName\": \"SAN FRANCISCO\",\n \"city\": \"SAN FRANCISCO\",\n \"line1\": \"100 Money Street\",\n \"line2\": \"Suite 1\",\n \"district\": \"CA\"\n },\n \"riskSignals\": {\n \"ipAddress\": \"203.0.113.42\",\n \"sessionId\": \"8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c\",\n \"deviceId\": \"2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f\"\n },\n \"clientEntityId\": \"a3f1b2c4-d5e6-7890-abcd-ef1234567890\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.circle.com/v1/banks/wires")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotencyKey\": \"ba943ff1-ca16-49b2-ba55-1057e70ca5c7\",\n \"accountNumber\": \"12340010\",\n \"routingNumber\": \"121000248\",\n \"billingDetails\": {\n \"name\": \"Satoshi Nakamoto\",\n \"city\": \"Boston\",\n \"country\": \"US\",\n \"line1\": \"100 Money Street\",\n \"postalCode\": \"01234\",\n \"line2\": \"Suite 1\",\n \"district\": \"MA\"\n },\n \"bankAddress\": {\n \"country\": \"US\",\n \"bankName\": \"SAN FRANCISCO\",\n \"city\": \"SAN FRANCISCO\",\n \"line1\": \"100 Money Street\",\n \"line2\": \"Suite 1\",\n \"district\": \"CA\"\n },\n \"riskSignals\": {\n \"ipAddress\": \"203.0.113.42\",\n \"sessionId\": \"8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c\",\n \"deviceId\": \"2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f\"\n },\n \"clientEntityId\": \"a3f1b2c4-d5e6-7890-abcd-ef1234567890\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"status": "pending",
"description": "WELLS FARGO BANK, NA ****0010",
"trackingRef": "<string>",
"fingerprint": "eb170539-9e1c-4e92-bf4f-1d09534fdca2",
"billingDetails": {
"name": "Satoshi Nakamoto",
"city": "Boston",
"country": "US",
"line1": "100 Money Street",
"postalCode": "01234",
"line2": "Suite 1",
"district": "MA"
},
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z",
"type": "wire",
"bankAddress": {
"country": "US",
"bankName": "SAN FRANCISCO",
"city": "SAN FRANCISCO",
"line1": "100 Money Street",
"line2": "Suite 1",
"district": "CA"
},
"virtualAccountEnabled": false,
"ffcMemo": "<string>",
"policyEvaluation": {
"status": "approved"
}
}
}{
"code": 2,
"message": "API parameter invalid."
}{
"code": 4,
"message": "Unauthorized."
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}Create a wire bank account
Create a bank account for wire transfers.
POST
/
v1
/
banks
/
wires
Create a wire bank account
curl --request POST \
--url https://api-sandbox.circle.com/v1/banks/wires \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"accountNumber": "12340010",
"routingNumber": "121000248",
"billingDetails": {
"name": "Satoshi Nakamoto",
"city": "Boston",
"country": "US",
"line1": "100 Money Street",
"postalCode": "01234",
"line2": "Suite 1",
"district": "MA"
},
"bankAddress": {
"country": "US",
"bankName": "SAN FRANCISCO",
"city": "SAN FRANCISCO",
"line1": "100 Money Street",
"line2": "Suite 1",
"district": "CA"
},
"riskSignals": {
"ipAddress": "203.0.113.42",
"sessionId": "8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c",
"deviceId": "2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f"
},
"clientEntityId": "a3f1b2c4-d5e6-7890-abcd-ef1234567890"
}
'import requests
url = "https://api-sandbox.circle.com/v1/banks/wires"
payload = {
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"accountNumber": "12340010",
"routingNumber": "121000248",
"billingDetails": {
"name": "Satoshi Nakamoto",
"city": "Boston",
"country": "US",
"line1": "100 Money Street",
"postalCode": "01234",
"line2": "Suite 1",
"district": "MA"
},
"bankAddress": {
"country": "US",
"bankName": "SAN FRANCISCO",
"city": "SAN FRANCISCO",
"line1": "100 Money Street",
"line2": "Suite 1",
"district": "CA"
},
"riskSignals": {
"ipAddress": "203.0.113.42",
"sessionId": "8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c",
"deviceId": "2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f"
},
"clientEntityId": "a3f1b2c4-d5e6-7890-abcd-ef1234567890"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
accountNumber: '12340010',
routingNumber: '121000248',
billingDetails: {
name: 'Satoshi Nakamoto',
city: 'Boston',
country: 'US',
line1: '100 Money Street',
postalCode: '01234',
line2: 'Suite 1',
district: 'MA'
},
bankAddress: {
country: 'US',
bankName: 'SAN FRANCISCO',
city: 'SAN FRANCISCO',
line1: '100 Money Street',
line2: 'Suite 1',
district: 'CA'
},
riskSignals: {
ipAddress: '203.0.113.42',
sessionId: '8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c',
deviceId: '2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f'
},
clientEntityId: 'a3f1b2c4-d5e6-7890-abcd-ef1234567890'
})
};
fetch('https://api-sandbox.circle.com/v1/banks/wires', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.circle.com/v1/banks/wires",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotencyKey' => 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
'accountNumber' => '12340010',
'routingNumber' => '121000248',
'billingDetails' => [
'name' => 'Satoshi Nakamoto',
'city' => 'Boston',
'country' => 'US',
'line1' => '100 Money Street',
'postalCode' => '01234',
'line2' => 'Suite 1',
'district' => 'MA'
],
'bankAddress' => [
'country' => 'US',
'bankName' => 'SAN FRANCISCO',
'city' => 'SAN FRANCISCO',
'line1' => '100 Money Street',
'line2' => 'Suite 1',
'district' => 'CA'
],
'riskSignals' => [
'ipAddress' => '203.0.113.42',
'sessionId' => '8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c',
'deviceId' => '2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f'
],
'clientEntityId' => 'a3f1b2c4-d5e6-7890-abcd-ef1234567890'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.circle.com/v1/banks/wires"
payload := strings.NewReader("{\n \"idempotencyKey\": \"ba943ff1-ca16-49b2-ba55-1057e70ca5c7\",\n \"accountNumber\": \"12340010\",\n \"routingNumber\": \"121000248\",\n \"billingDetails\": {\n \"name\": \"Satoshi Nakamoto\",\n \"city\": \"Boston\",\n \"country\": \"US\",\n \"line1\": \"100 Money Street\",\n \"postalCode\": \"01234\",\n \"line2\": \"Suite 1\",\n \"district\": \"MA\"\n },\n \"bankAddress\": {\n \"country\": \"US\",\n \"bankName\": \"SAN FRANCISCO\",\n \"city\": \"SAN FRANCISCO\",\n \"line1\": \"100 Money Street\",\n \"line2\": \"Suite 1\",\n \"district\": \"CA\"\n },\n \"riskSignals\": {\n \"ipAddress\": \"203.0.113.42\",\n \"sessionId\": \"8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c\",\n \"deviceId\": \"2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f\"\n },\n \"clientEntityId\": \"a3f1b2c4-d5e6-7890-abcd-ef1234567890\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.circle.com/v1/banks/wires")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotencyKey\": \"ba943ff1-ca16-49b2-ba55-1057e70ca5c7\",\n \"accountNumber\": \"12340010\",\n \"routingNumber\": \"121000248\",\n \"billingDetails\": {\n \"name\": \"Satoshi Nakamoto\",\n \"city\": \"Boston\",\n \"country\": \"US\",\n \"line1\": \"100 Money Street\",\n \"postalCode\": \"01234\",\n \"line2\": \"Suite 1\",\n \"district\": \"MA\"\n },\n \"bankAddress\": {\n \"country\": \"US\",\n \"bankName\": \"SAN FRANCISCO\",\n \"city\": \"SAN FRANCISCO\",\n \"line1\": \"100 Money Street\",\n \"line2\": \"Suite 1\",\n \"district\": \"CA\"\n },\n \"riskSignals\": {\n \"ipAddress\": \"203.0.113.42\",\n \"sessionId\": \"8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c\",\n \"deviceId\": \"2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f\"\n },\n \"clientEntityId\": \"a3f1b2c4-d5e6-7890-abcd-ef1234567890\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.circle.com/v1/banks/wires")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotencyKey\": \"ba943ff1-ca16-49b2-ba55-1057e70ca5c7\",\n \"accountNumber\": \"12340010\",\n \"routingNumber\": \"121000248\",\n \"billingDetails\": {\n \"name\": \"Satoshi Nakamoto\",\n \"city\": \"Boston\",\n \"country\": \"US\",\n \"line1\": \"100 Money Street\",\n \"postalCode\": \"01234\",\n \"line2\": \"Suite 1\",\n \"district\": \"MA\"\n },\n \"bankAddress\": {\n \"country\": \"US\",\n \"bankName\": \"SAN FRANCISCO\",\n \"city\": \"SAN FRANCISCO\",\n \"line1\": \"100 Money Street\",\n \"line2\": \"Suite 1\",\n \"district\": \"CA\"\n },\n \"riskSignals\": {\n \"ipAddress\": \"203.0.113.42\",\n \"sessionId\": \"8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c\",\n \"deviceId\": \"2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f\"\n },\n \"clientEntityId\": \"a3f1b2c4-d5e6-7890-abcd-ef1234567890\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"status": "pending",
"description": "WELLS FARGO BANK, NA ****0010",
"trackingRef": "<string>",
"fingerprint": "eb170539-9e1c-4e92-bf4f-1d09534fdca2",
"billingDetails": {
"name": "Satoshi Nakamoto",
"city": "Boston",
"country": "US",
"line1": "100 Money Street",
"postalCode": "01234",
"line2": "Suite 1",
"district": "MA"
},
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z",
"type": "wire",
"bankAddress": {
"country": "US",
"bankName": "SAN FRANCISCO",
"city": "SAN FRANCISCO",
"line1": "100 Money Street",
"line2": "Suite 1",
"district": "CA"
},
"virtualAccountEnabled": false,
"ffcMemo": "<string>",
"policyEvaluation": {
"status": "approved"
}
}
}{
"code": 2,
"message": "API parameter invalid."
}{
"code": 4,
"message": "Unauthorized."
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}Authorizations
Headers
Body
application/json
- US Bank Account
- Non US Bank Account - IBAN Supported
- Non US Bank Account - IBAN Not Supported
Request object used to create a bank account for wire transfers. Wraps the standard wire creation request with an optional clientEntityId for 3rd-party flows.
Risk metadata for the end user initiating the request. All three fields must be present.
deviceId must be the identifier returned by checkDevice() in the @circle-fin/device-checks SDK. Circle resolves it against the device check that produced it, so an identifier you generate yourself does not resolve. When it does not resolve, the request is accepted and then declined: the endpoint returns 201, and the transaction later settles as failed with errorCode transfer_denied. See Collect device risk signals.
Show child attributes
Show child attributes
Was this page helpful?